### Method

# ECal ComponentPeriod get_kind

since: 3.34

#### Declaration [src]

    ECalComponentPeriodKind
    e_cal_component_period_get_kind (
      const ECalComponentPeriod* period
    )

#### Description [src]

Returns kind of the `period`, one of `ECalComponentPeriodKind`. Depending on it either e_cal_component_period_get_end()/e_cal_component_period_set_end() or e_cal_component_period_get_duration()/e_cal_component_period_set_duration() can be used. The kind of an existing `period` canbe changed with `e_cal_component_period_set_datetime_full()` and e_cal_component_period_set_duration_full().

Available since: 3.34

#### Return value

Type: `ECalComponentPeriodKind`

Kind of the period, one of `ECalComponentPeriodKind`.